# Class HttpStatusError

#### Hierarchy

- BaseError
  - HttpStatusError

- Defined in src/errors/httpStatusError.ts:4

#####
Index

### Constructors

constructor

### Properties

cause?
code
message
name
request
requestMeta?
response
stack?

## Constructors

### constructor

- new HttpStatusError(__namedParameters: { code: number; request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }): HttpStatusError

- #### Parameters

  - ##### __namedParameters: { code: number; request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }

    - ##### code: number

    - ##### request: Request

    - ##### `Optional` requestMeta?: RequestMeta

    - ##### response: FetchAdapterResponse

  #### Returns HttpStatusError

  Overrides BaseError.constructor

  - Defined in src/errors/httpStatusError.ts:5

## Properties

### `Optional` cause

cause?: Error

Inherited from BaseError.cause

- Defined in node_modules/typescript/lib/lib.es2022.error.d.ts:26

### code

code: number

Inherited from BaseError.code

- Defined in src/errors/baseError.ts:17

### message

message: string

Inherited from BaseError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1029

### name

name: string

Inherited from BaseError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1028

### request

request: Request

Inherited from BaseError.request

- Defined in src/errors/baseError.ts:15

### `Optional` requestMeta

requestMeta?: RequestMeta

Inherited from BaseError.requestMeta

- Defined in src/errors/baseError.ts:16

### response

response: FetchAdapterResponse

Inherited from BaseError.response

- Defined in src/errors/baseError.ts:14

### `Optional` stack

stack?: string

Inherited from BaseError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1030

Generated using TypeDoc